Bug 146996 - Safari mis-applies "animation-fill-mode: forwards" when using fractional iteration count
Summary: Safari mis-applies "animation-fill-mode: forwards" when using fractional iter...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.9
: P2 Major
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2015-07-16 03:05 PDT by Louis Lazaris
Modified: 2015-07-21 14:20 PDT (History)
9 users (show)

See Also:


Attachments
Patch (13.19 KB, patch)
2015-07-18 19:58 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-mavericks (532.75 KB, application/zip)
2015-07-18 20:31 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews106 for mac-mavericks-wk2 (567.95 KB, application/zip)
2015-07-18 20:35 PDT, Build Bot
no flags Details
Patch (14.95 KB, patch)
2015-07-18 20:48 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Lazaris 2015-07-16 03:05:51 PDT
See the following demo:

http://codepen.io/SitePoint/pen/VLXQmM

Notice in all other browsers, the ball stops halfway. In Safari, the ball stops briefly, then jumps to the end. This seems to be an attempt to apply the "forwards" value of the fill mode. But this is incorrect behaviour. The "forwards" state is at the half-iteration point, not the full iteration. Sorry for not creating a RTC. Someone could easily do that using the code in the demo, if necessary. Note also that the demo is using autoprefixer to add the missing "-webkit" prefixes automatically, so these don't actually appear in the CSS panel.
Comment 1 Simon Fraser (smfr) 2015-07-17 20:57:47 PDT
Nice find, thanks!
Comment 2 Radar WebKit Bug Importer 2015-07-17 20:58:05 PDT
<rdar://problem/21886103>
Comment 3 Simon Fraser (smfr) 2015-07-18 19:58:03 PDT
Created attachment 257042 [details]
Patch
Comment 4 Build Bot 2015-07-18 20:31:45 PDT
Comment on attachment 257042 [details]
Patch

Attachment 257042 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.appspot.com/results/5700661509357568

New failing tests:
animations/fill-mode-iteration-count-non-integer.html
Comment 5 Build Bot 2015-07-18 20:31:50 PDT
Created attachment 257044 [details]
Archive of layout-test-results from ews100 for mac-mavericks

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-mavericks  Platform: Mac OS X 10.9.5
Comment 6 Build Bot 2015-07-18 20:34:58 PDT
Comment on attachment 257042 [details]
Patch

Attachment 257042 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.appspot.com/results/6454754687320064

New failing tests:
animations/fill-mode-iteration-count-non-integer.html
Comment 7 Build Bot 2015-07-18 20:35:02 PDT
Created attachment 257045 [details]
Archive of layout-test-results from ews106 for mac-mavericks-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-mavericks-wk2  Platform: Mac OS X 10.9.5
Comment 8 Simon Fraser (smfr) 2015-07-18 20:48:24 PDT
Created attachment 257047 [details]
Patch
Comment 9 WebKit Commit Bot 2015-07-21 14:20:39 PDT
Comment on attachment 257047 [details]
Patch

Clearing flags on attachment: 257047

Committed r187121: <http://trac.webkit.org/changeset/187121>
Comment 10 WebKit Commit Bot 2015-07-21 14:20:44 PDT
All reviewed patches have been landed.  Closing bug.